ErrorHandlerImpl (marc4j)
Keywords: org.marc4j.helpers.ErrorHandlerImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.marc4j.helpers
Class ErrorHandlerImpl

    java.lang.Object
      org.marc4j.helpers.ErrorHandlerImpl

All Implemented Interfaces:
  ErrorHandler

public class ErrorHandlerImpl
extends Object
implements ErrorHandler

Implements the `ErrorHandler` interface to report about warnings and errors that occur during the parsing of a MARC record.

Version:
  $Revision: 1.4 $
Author:
  Bas Peters
See Also:
  `ErrorHandler`

Constructor Summary
`ErrorHandlerImpl()`

Method Summary
`void` | `error(MarcReaderException exception)` Receive notification of an error.
`void` | `fatalError(MarcReaderException exception)` Receive notification of a fatal error.
`static String` | `printMarcException(String label, MarcReaderException e)`
`void` | `warning(MarcReaderException exception)` Receive notification of a warning.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorHandlerImpl

    public ErrorHandlerImpl()

Method Detail

### warning

    public void warning(MarcReaderException exception)

  Description copied from interface: `ErrorHandler`

  Receive notification of a warning.

  Specified by:
    `warning` in interface `ErrorHandler`

### error

    public void error(MarcReaderException exception)

  Description copied from interface: `ErrorHandler`

  Receive notification of an error.

  Specified by:
    `error` in interface `ErrorHandler`

### fatalError

    public void fatalError(MarcReaderException exception)

  Description copied from interface: `ErrorHandler`

  Receive notification of a fatal error.

  Specified by:
    `fatalError` in interface `ErrorHandler`

### printMarcException

    public static String printMarcException(String label,
                                            MarcReaderException e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Bas Peters. All Rights Reserved.